Subject: Re: [PATCH v8 1/4] cache-tree: Create/update cache-tree on checkou

From: David Turner <[email-masked]>
Date: Mon, 01 Sep 2014 16:49:28 -0400

On Sun, 2014-08-31 at 13:07 +0100, John Keeping wrote:
> On Fri, Jul 11, 2014 at 09:44:33PM -0700, David Turner wrote:
> > When git checkout checks out a branch, create or update the
> > cache-tree so that subsequent operations are faster.
> > 
> > update_main_cache_tree learned a new flag, WRITE_TREE_REPAIR.  When
> > WRITE_TREE_REPAIR is set, portions of the cache-tree which do not
> > correspond to existing tree objects are invalidated (and portions which
> > do are marked as valid).  No new tree objects are created.
> > 
> > Signed-off-by: David Turner <[email-masked]>
> > ---
> 
> This causes an incorrect error message to be printed when switching
> branches with staged changes in a subdirectory.  The test case is pretty
> simple:
<snip>

I tried to reproduce this problem, but I could not.  I tried to
reproduce against just this patch 1/4, and also against all 4 of the
patches.  Can you reproduce this on Junio's 'next' branch, which
includes this series of patches?

Do you have some sort of unusual configuration that might cause
different results? 

Thanks.